<?php
/**
 * @version		$Id: canonical301.php, septemver 2011 $
 * @package		Joomla/301canonical, http://www.henrik-bondtofte.dk
 * @subpackage	Content
 * @copyright	Copyright (C) 2011 http://www.henrik-bondtofte.dk All rights reserved.
 * @license		GNU/GPL
 */

// only open in joomla
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.plugin.plugin' );
class plgContentCanonical301 extends JPlugin
{
	function onPrepareContent( &$article, &$params, $limitstart )
	{
		global $mainframe;
		require_once(JPATH_SITE.DS.'components'.DS.'com_content'.DS.'helpers'.DS.'route.php');
		$alias = $article->id.'-'.$article->alias;
		$articlecanonical301url = JRoute::_( ContentHelperRoute::getArticleRoute( $alias, $article->catslug, $article->sectionid));
		//make sure we are not redirecting the right page, and we're only redirecting article pages
        if ((JRequest::getUri() <> $articlecanonical301url) && (JRequest::getVar('view') == 'article'))
        { 
            header("HTTP/1.1 301 Moved Permanently");
            header("Location: ".$articlecanonical301url);
        }        
	}
}